teem-mrender(1)

NAME
teem-mrender - A demonstration of hoover, gage, and nrrd measures.

SYNOPSIS
teem-mrender [@file ...] -i <nin> -k <kind> -fr <eye pos> [-at <at pos>] [-up <up dir>] [-rh] [-or] -dn <near> -di <image> -df <far> [-ar] \ [-ur <uMin uMax>] [-vr <vMin vMax>] [-fv <field of view>] [-offfr] \ [-turn <angle>] [-is <image size>] [-k00 <kernel>] [-k11 <kernel>] \ [-k22 <kernel>] [-rn] -q <query> -m <measure> [-gmc <min gradmag>] \ [-fn <from nan>] [-step <size>] [-nt <# threads>] [-vp <img coords>] \ [-o <filename>]

    @file ... = response file(s) containing command-line arguments

    -i <nin> = input nrrd to render (nrrd)

-k <kind> = "kind" of volume ("scalar", "vector", or "tensor")
    (kind)

-fr <eye pos> = camera eye point (3 doubles)

-at <at pos> = camera look-at point (3 doubles); default: "0 0 0"

-up <up dir> = camera pseudo-up vector (3 doubles); default: "0 0 1"

    -rh = use a right-handed UVN frame (V points down) -or = orthogonal (not perspective) projection

-dn <near> = distance to near clipping plane (double)

-di <image> = distance to image plane (double)

-df <far> = distance to far clipping plane (double)

    -ar = near, image, and far plane distances are relative to the

    *at* point, instead of the eye point

-ur <uMin uMax> = range in U direction of image plane (2 doubles);
    default: "nan nan"

-vr <vMin vMax> = range in V direction of image plane (2 doubles);
    default: "nan nan"

-fv <field of view> = angle (in degrees) vertically subtended by view window

    (double); default: "20"

    -offfr = the given eye point ("-fr") is to be interpreted as an

    offset from the at point.

-turn <angle> = angle (degrees) by which to rotate the from point around
    true up, for making stereo pairs. Positive means move towards positive U (the right) (double); default: "0.0"

-is <image size> = image dimensions (2 ints); default: "256 256"

-k00 <kernel> = value reconstruction kernel (kernel specification);
    default: "tent"

-k11 <kernel> = first derivative kernel (kernel specification);
    default: "cubicd:1,0"

-k22 <kernel> = second derivative kernel (kernel specification);
    default: "cubicdd:1,0"

    -rn = renormalize kernel weights at each new sample location.

    "Accurate" kernels don't need this; doing it always makes things go slower

-q <query> = the quantity (scalar, vector, or matrix) to learn by
    probing (string)

-m <measure> = how to collapse list of ray samples into one scalar.
    Possibilities include: o "min", "max", "mean", "median", "mode", "variance", "skew" (self-explanatory) o "intc", "slope", "error": intercept, slope, and error from line fitting o "sd": standard deviation o "product", "sum": product or sum of all values o "L1", "L2", "Linf": different norms o "histo-min", "histo-max", "histo-mean", "histo-median", "histo-mode", "histo-product", "histo-l2", "histo-sum", "histo-variance", "histo-sd": same measures, but for situations where we're given not the original values, but a histogram of them. (measure)

-gmc <min gradmag> = For curvature-related queries, set answer to zero when
    gradient magnitude is below this (double); default: "0.0"

-fn <from nan> = When histo-based measures generate NaN answers, the
    value that should be substituted for NaN. (double); default: "nan"

-step <size> = step size along ray in world space (double);
    default: "0.01"

-nt <# threads> = number of threads hoover should use (int); default: "1"

-vp <img coords> = pixel coordinates for which to turn on all verbose
    debugging messages, or "-1 -1" to disable this. (2 ints); default: "-1 -1"

-o <filename> = file to write output nrrd to. Defaults to stdout ("-").
    (string); default: "-"

DESCRIPTION
Uses hoover to cast rays through a volume (scalar, vector, or tensor), gage to measure one of various quantities along the rays, and a specified nrrd measure to reduce all the values along a ray down to one scalar, which is saved in the output (double) image.

SEE ALSO
The full documentation for teem-mrender is maintained as a Texinfo manual. If the info and teem-mrender programs are properly installed at your site, the command

    info teem-mrender

should give you access to the complete manual.